Bug 609115 - (BONSAI-2010-0105, CVE-2010-1645) CVE-2010-1645 cacti: multiple command injection flaws (BONSAI-2010-0105)
CVE-2010-1645 cacti: multiple command injection flaws (BONSAI-2010-0105)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,source=debian,reported=201...
: Security
: 586064 (view as bug list)
Depends On: 541684
Blocks: 595289
  Show dependency treegraph
 
Reported: 2010-06-29 09:12 EDT by Tomas Hoger
Modified: 2010-12-21 17:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 17:46:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2010-06-29 09:12:58 EDT
Multiple input sanitization flaws were discovered in cacti.  Authenticated cacti administrator could use these flaws to run shell commands with web server privileges.

Note: cacti administrator is always allowed to run commands as cacti user.

References:
http://www.bonsai-sec.com/en/research/vulnerabilities/cacti-os-command-injection-0105.php
http://www.cacti.net/release_notes_0_8_7f.php

Upstream commits:
http://svn.cacti.net/viewvc?view=rev&revision=5778
http://svn.cacti.net/viewvc?view=rev&revision=5782
http://svn.cacti.net/viewvc?view=rev&revision=5784

See also bug #595289 for some related discussion.
Comment 2 Tomas Hoger 2010-06-29 09:36:28 EDT
*** Bug 586064 has been marked as a duplicate of this bug. ***
Comment 3 errata-xmlrpc 2010-08-19 22:42:36 EDT
This issue has been addressed in following products:

  Red Hat HPC Solution for RHEL 5

Via RHSA-2010:0635 https://rhn.redhat.com/errata/RHSA-2010-0635.html

Note You need to log in before you can comment on or make changes to this bug.